<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright © 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: Developers Showcase
| Filename: customfunctions.php
| Author: Ankur Thakur
| Site: http://ankurthakur.in/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

// Manual Function to Check for New Version of Addon - Ankur Thakur

function version_checker($cur_version, $url, $addon_name)
{
	if(ini_get('allow_url_fopen') == 1)
	{
	$version = 0;
	// Loading XML
	$xml = simplexml_load_file($url);
	foreach($xml->addon as $addon) {
		if($addon['name'] == $addon_name)
		{	$version = $addon['version'];
			$link = $addon->link;	}
	}
	if($cur_version < $version) {
		echo "\n<br /><a href='".$link."' target='_blank'><font color='#ff0000'><b>* ".$addon_name.$locale['ds_author1'].$version.$locale['ds_author2']."</b></font></a><br />\n";
	}
	}
}

?>