<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Nick Jones, Ankur Thakur
| Developers: Ankur Thakur
| Site: http://ankurthakur.in/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

// Defining Database
include INFUSIONS."dev_showcase/infusion_db.php";

// Loading Locale Files
if (file_exists(INFUSIONS."dev_showcase/locale/".$settings['locale'].".php")) {
	include INFUSIONS."dev_showcase/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."dev_showcase/locale/English.php";
}

// Infusion general information
$inf_title = $locale['ds_title'];
$inf_description = $locale['ds_desc'];
$inf_version = "1.0";
$inf_developer = "Ankur Thakur";
$inf_email = "thakurboyz2007@gmail.com";
$inf_weburl = "http://ankurthakur.in";

$inf_folder = "dev_showcase";

$inf_newtable[1] = DB_DEV_ADDONS_SITES." (
site_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
site_title VARCHAR(100) NOT NULL DEFAULT '',
site_url VARCHAR(200) NOT NULL DEFAULT '',
PRIMARY KEY (site_id)
) ENGINE=MyISAM;";

$inf_newtable[2] = DB_DEV_MYADDONS." (
addon_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
addon_name TEXT NOT NULL DEFAULT '',
addon_type TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
addon_version VARCHAR(10) NOT NULL DEFAULT '',
addon_thumb TEXT NOT NULL DEFAULT '',
addon_screenshot TEXT NOT NULL DEFAULT '',
addon_desc TEXT NOT NULL DEFAULT '',
addon_link TEXT NOT NULL DEFAULT '',
addon_datestamp INT(10) UNSIGNED NOT NULL DEFAULT '0',
PRIMARY KEY (addon_id)
) ENGINE=MyISAM;";

$inf_insertdbrow[1] = DB_DEV_ADDONS_SITES." (site_id, site_title, site_url) VALUES('0', 'Ankur Thakur E-Stand', 'http://ankurthakur.in/infusions/dev_showcase/addons.xml')";
$inf_insertdbrow[2] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('showcasefilename', 'addons', '".$inf_folder."')";
$inf_insertdbrow[3] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('showcasedevname', 'My Addons', '".$inf_folder."')";

$inf_deldbrow[1] = DB_SETTINGS_INF." WHERE settings_inf='".$inf_folder."'";

$inf_droptable[1] = DB_DEV_ADDONS_SITES;
$inf_droptable[2] = DB_DEV_MYADDONS;

$inf_adminpanel[1] = array(
	"title" => $locale['ds_title'],
	"image" => "dev_showcase.png",
	"panel" => "dev_showcase_admin.php",
	"rights" => "DS"
);

$inf_adminpanel[2] = array(
	"title" => $locale['ms_title'],
	"image" => "dev_showcase.png",
	"panel" => "dev_myshowcase_admin.php",
	"rights" => "MS"
);

?>